package latte.lattice;

public class AddISOp extends LatticeOperation{

	String mError = "AddISOp Failed "; 
	public Lattice DoOp(Lattice a, Lattice b) throws LatteException 
	{
		Element retVal = new Element();
		if(a.type == Lattice.WRD & b.type == Lattice.WRD)
		{
			String temp = ((String)a.word.element)+((String)b.word.element);
			retVal.element = temp; 
		}
		else
		{
			throw new LatteException(mError);
		}
		return new Lattice(Lattice.WRD,retVal);
	}
}